Package org.xnio

# Class DelegatingChannelListener<T extends Channel>

java.lang.Object
org.xnio.DelegatingChannelListener<T>

All Implemented Interfaces:
  `EventListener`, `ChannelListener<T>`

public abstract class DelegatingChannelListener<T extends Channel> extends Object implements ChannelListener<T>
A base class for a channel listener which performs an action and then calls a delegate listener.

Author:
  David M. Lloyd

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`ChannelListener.Setter<T extends Channel>, ChannelListener.SimpleSetter<T extends Channel>`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DelegatingChannelListener(ChannelListener<? super T> next)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`callNext(T channel)`
Call the next listener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xnio.ChannelListener

`handleEvent`

## Constructor Details

### DelegatingChannelListener

protected DelegatingChannelListener(ChannelListener<? super T> next)
Construct a new instance. The next listener must be for the same type as, or a supertype of, the channel type handleable by this listener.

Parameters:
  `next` - the next listener

## Method Details

### callNext

protected void callNext(T channel)
Call the next listener. Does not throw exceptions.

Parameters:
  `channel` - the channel to pass to the next listener